## cgal 5.4.1

=== demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12...3.20)
project(CGAL_DEMOS)

if(CGAL_BRANCH_BUILD)

  foreach(package ${CGAL_CONFIGURED_PACKAGES})
    #message (STATUS "Current package: ${package}")
    file(GLOB listtmp "${package}/demo/*")
    list(APPEND list ${listtmp})
  endforeach()

else()

  file(GLOB list "*")

endif()

list(SORT list)

find_package(CGAL REQUIRED)
include(${CGAL_MODULES_DIR}/CGAL_Macros.cmake)

message("== Generating build files for demos ==")
foreach(entry ${list})

  if(NOT ${entry} MATCHES ".*\\.svn\$" AND IS_DIRECTORY ${entry})

    file(GLOB files "${entry}/*.cpp")

    # If there is no .cpp files, ignore the sub-directory
    if(files)
      process_cgal_subdirectory("${entry}" demo demo)
      # Note: process_CGAL_subdirectory is defined in cmake/modules/CGAL_Macros.cmake
    endif()

  endif()

endforeach()
message("== Generating build files for demos (DONE) ==\n")

=== demo/Apollonius_graph_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.20)
project(Apollonius_graph_2_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Script OpenGL Svg)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)
  add_definitions(-DQT_NO_KEYWORDS)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  set(CMAKE_AUTOMOC ON)
  #--------------------------------
  # UI files (Qt Designer files)
  qt5_wrap_ui(DT_UI_FILES Apollonius_graph_2.ui)

  # qrc files (resources files, that contain icons, at least)
  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES ./Apollonius_graph_2.qrc)

  # use the Qt MOC preprocessor on classes that derives from QObject

  # The executable itself.
  add_executable(
    Apollonius_graph_2 Apollonius_graph_2.cpp ${DT_UI_FILES}
                       ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Apollonius_graph_2)

  target_link_libraries(Apollonius_graph_2 PRIVATE CGAL::CGAL CGAL::CGAL_Qt5
                                                   Qt5::Gui)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Apollonius_graph_2)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Apollonius_graph_2)

else()

  message(
    STATUS "NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== demo/Triangulation_on_sphere_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.15)

project (Triangulation_on_sphere_2_Demo)

set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()


# Find CGAL and CGAL Qt5
find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

# Find Qt5 itself
find_package(Qt5 QUIET COMPONENTS Script OpenGL Gui Svg)

find_package(Eigen3 3.1.0) #(requires 3.1.0 or greater)
include(CGAL_Eigen3_support)

if(CGAL_Qt5_FOUND AND Qt5_FOUND AND TARGET CGAL::Eigen3_support)
  # Include this package's headers first

  include_directories(BEFORE ./ ./include)
  # ui file, created wih Qt Designer
  qt5_wrap_ui( uis Mainwindow.ui )

  #qt5_generate_moc( main.cpp Mainwindow.moc)

  add_executable  ( Triangulation_on_sphere_2_Demo main.cpp Viewer.cpp ${uis})

  add_to_cached_list( CGAL_EXECUTABLE_TARGETS Triangulation_on_sphere_2_Demo )

  target_link_libraries( Triangulation_on_sphere_2_Demo PRIVATE CGAL::CGAL CGAL::CGAL_Qt5 CGAL::Eigen3_support)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test( Triangulation_on_sphere_2_Demo )
else()
  message(STATUS "NOTICE: This demo requires CGAL, Qt5 and OpenGL, and will not be compiled.")
endif()

=== examples/AABB_tree/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.22)
project(AABB_tree_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== examples/BGL_arrangement_2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.22)
project(BGL_arrangement_2_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== examples/BGL_surface_mesh/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.22)
project(BGL_surface_mesh_Examples)

find_package(CGAL REQUIRED)

# include for local package

create_single_source_cgal_program("prim.cpp")
create_single_source_cgal_program("gwdwg.cpp")
create_single_source_cgal_program("seam_mesh.cpp")
create_single_source_cgal_program("write_inp.cpp")
create_single_source_cgal_program("surface_mesh_dual.cpp")
create_single_source_cgal_program("connected_components.cpp")

find_package(METIS)
include(CGAL_METIS_support)
if( TARGET CGAL::METIS_support )
  create_single_source_cgal_program( "surface_mesh_partition.cpp" )
  target_link_libraries( surface_mesh_partition PUBLIC CGAL::METIS_support )
else()
  message(STATUS "Examples that use the METIS library will not be compiled.")
endif()

=== examples/Barycentric_coordinates_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script.
# This is the CMake script for compiling a CGAL application.

project(Barycentric_coordinates_2_Examples)

cmake_minimum_required(VERSION 3.1...3.22)

find_package(CGAL REQUIRED COMPONENTS Core)

create_single_source_cgal_program("segment_coordinates.cpp")
create_single_source_cgal_program("triangle_coordinates.cpp")
create_single_source_cgal_program("wachspress_coordinates.cpp")
create_single_source_cgal_program("mean_value_coordinates.cpp")
create_single_source_cgal_program("discrete_harmonic_coordinates.cpp")
create_single_source_cgal_program("terrain_height_modeling.cpp")

# this code is deprecated:
create_single_source_cgal_program("deprecated_coordinates.cpp")

find_package(Eigen3 3.1.0 QUIET) # (3.1.0 or greater)
include(CGAL_Eigen3_support)
if(TARGET CGAL::Eigen3_support)

  create_single_source_cgal_program("affine_coordinates.cpp")
  target_link_libraries(affine_coordinates PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("harmonic_coordinates.cpp")
  target_link_libraries(harmonic_coordinates PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("shape_deformation.cpp")
  target_link_libraries(shape_deformation PUBLIC CGAL::Eigen3_support)

else()
  message(NOTICE "Several coordinates require the Eigen library, and will not be compiled.")
endif()

=== examples/Classification/CMakeLists.txt ===
# Created by the script cgal_create_CMakeLists
# This is the CMake script for compiling a set of CGAL applications.

cmake_minimum_required(VERSION 3.1...3.22)
project(Classification_Examples)

# CGAL and its components
find_package(CGAL REQUIRED)

# Boost and its components
find_package(Boost REQUIRED)

if(NOT Boost_FOUND)
  message(
    STATUS "This project requires the Boost library, and will not be compiled.")
  return()
endif()

set(Classification_dependencies_met TRUE)

find_package(Boost OPTIONAL_COMPONENTS serialization iostreams)
include(CGAL_Boost_serialization_support)
include(CGAL_Boost_iostreams_support)

if(NOT TARGET CGAL::Boost_serialization_support)
  message(
    STATUS
      "NOTICE: This project requires Boost Serialization, and will not be compiled."
  )
  set(Classification_dependencies_met FALSE)
endif()
if(NOT TARGET CGAL::Boost_iostreams_support)
  message(
    STATUS
      "NOTICE: This project requires Boost IO Streams, and will not be compiled."
  )
  set(Classification_dependencies_met FALSE)
endif()

find_package(OpenCV QUIET COMPONENTS core ml) # Need core + machine learning
include(CGAL_OpenCV_support)
if(NOT TARGET CGAL::OpenCV_support)
  message(
    STATUS
      "NOTICE: OpenCV was not found. OpenCV random forest predicate for classification won't be available."
  )
endif()

find_package(Eigen3 3.1.0 REQUIRED) #(3.1.0 or greater)
include(CGAL_Eigen3_support)
if(NOT TARGET CGAL::Eigen3_support)
  message(
    STATUS "This project requires the Eigen library, and will not be compiled.")
  set(Classification_dependencies_met FALSE)
endif()

find_package(TBB QUIET)
include(CGAL_TBB_support)

if(NOT Classification_dependencies_met)
  return()
endif()

create_single_source_cgal_program( "example_classification.cpp" )
create_single_source_cgal_program( "example_ethz_random_forest.cpp" )
create_single_source_cgal_program( "example_feature.cpp" )
create_single_source_cgal_program( "example_generation_and_training.cpp" )
create_single_source_cgal_program( "example_mesh_classification.cpp" )
create_single_source_cgal_program( "example_cluster_classification.cpp" )
create_single_source_cgal_program( "gis_tutorial_example.cpp" )
create_single_source_cgal_program( "example_deprecated_conversion.cpp" )

if (TARGET CGAL::OpenCV_support)
  create_single_source_cgal_program( "example_opencv_random_forest.cpp" )
  target_link_libraries(example_opencv_random_forest
                        PUBLIC CGAL::OpenCV_support)
endif()

foreach(target
    example_classification
    example_ethz_random_forest
    example_feature
    example_generation_and_training
    example_mesh_classification
    example_cluster_classification
    example_opencv_random_forest
    gis_tutorial_example
    example_deprecated_conversion)
  if(TARGET ${target})
    target_link_libraries(
      ${target} PUBLIC CGAL::Eigen3_support CGAL::Boost_iostreams_support
                       CGAL::Boost_serialization_support)
    if(TARGET CGAL::TBB_support)
      target_link_libraries(${target} PUBLIC CGAL::TBB_support)
    endif()
  endif()
endforeach()

=== examples/Convex_decomposition_3/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.22)
project(Convex_decomposition_3_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== examples/Min_sphere_of_spheres_d/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.22)
project(Min_sphere_of_spheres_d_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== examples/Optimal_bounding_box/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.22)
project(Optimal_bounding_box_Examples)

find_package(CGAL REQUIRED)

find_package(Eigen3 3.1.0 REQUIRED) #(3.1.0 or greater)
include(CGAL_Eigen3_support)
if(NOT TARGET CGAL::Eigen3_support)
  message(
    STATUS "This project requires the Eigen library, and will not be compiled.")
  return()
endif()

create_single_source_cgal_program("obb_example.cpp")
create_single_source_cgal_program("obb_with_point_maps_example.cpp")
create_single_source_cgal_program("rotated_aabb_tree_example.cpp")

foreach(target obb_example obb_with_point_maps_example
               rotated_aabb_tree_example)
  target_link_libraries(${target} PUBLIC CGAL::Eigen3_support)
endforeach()

=== examples/Periodic_2_triangulation_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.22)
project(Periodic_2_triangulation_2_Examples)

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

if(CGAL_Qt5_FOUND)
  target_link_libraries(draw_periodic_2_triangulation_2 PUBLIC CGAL::CGAL_Basic_viewer)
endif()

=== debian/changelog ===
cgal (5.4.1-1build1) kinetic; urgency=medium

  * Rebuild against libipe7.2.25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jul 2022 08:05:18 +0200

cgal (5.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Sat, 18 Jun 2022 21:00:20 +0200

cgal (5.4-3) unstable; urgency=medium

  * Update Suggests: of libvtk7-dev and vtk7 of libcgal-demo to libvtk9-dev
    and vtk9 (Closes: #1012280).
  * Update Standards-Version to 4.6.1 (no changes needed).
  * Use https for Homepage: field in debian/control.

 -- Joachim Reichel <reichel@debian.org>  Tue, 08 Mar 2022 11:02:51 +0100

cgal (5.4-2) unstable; urgency=medium

  * Add patch fix-build-on-mipsel (Closes: #1005696).
  * debian/tests/control: Remove flaky restriction.
  * debian/test/run.sh: Avoid test failures due to compiler warnings.

 -- Joachim Reichel <reichel@debian.org>  Thu, 03 Feb 2022 08:45:19 +0100

=== debian/control ===
Source: cgal
Priority: optional
Maintainer: Joachim Reichel <reichel@debian.org>
# "ipe" is only needed because it contains goodies.lua which is needed by FindIPE.cmake
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dpkg-awk,
 ipe,
 libboost-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libeigen3-dev,
 libglu1-mesa-dev,
 libgmp-dev,
 libipe-dev,
 libmpfr-dev,
 libqt5opengl5-dev [!armel !armhf],
 libqt5svg5-dev [!armel !armhf],
 qtbase5-dev [!armel !armhf],
 tar (>= 1.28),
 zlib1g-dev
Standards-Version: 4.6.1
Section: libs
Rules-Requires-Root: no
Homepage: https://www.cgal.org/
Vcs-Git: https://salsa.debian.org/reichel/cgal.git
Vcs-Browser: https://salsa.debian.org/reichel/cgal

Package: libcgal-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libgmp-dev,
 libmpfr-dev,
 zlib1g-dev,
 ${misc:Depends}
Suggests:
 libmpfi-dev,
 libntl-dev,
 libtbb-dev
Description: C++ library for computational geometry (development files)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains most of the header files. The header files for
 visualization with Qt can be found in the package libcgal-qt5-dev.

Package: libcgal-qt5-dev
Section: libdevel
# actually "Architecture: any [!armel !armhf]" via debhelper
Architecture: any
Multi-Arch: same
Depends:
 libcgal-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 qtbase5-dev,
 ${misc:Depends}
Description: C++ library for computational geometry (development files, support for Qt5)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the header files for visualization with Qt.

Package: libcgal-demo
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: libcgal-dev (>= ${binary:Version}), ${misc:Depends}
Recommends: libcgal-qt5-dev (>= ${binary:Version})
Suggests:
 cimg-dev,
 geomview,
 gfortran,
 lib3mf-dev,
 libatlas-base-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-serialization-dev,
 libceres-dev,
 libeigen3-dev,
 libglew-dev,
 libglpk-dev,
 libipe-dev,
 liblapack-dev,
 libmagick++-dev,
 libmetis-dev,
 libmpfi-dev,
 libntl-dev,
 libopencv-dev,
 libqt5opengl5-dev,
 libqt5sql5-sqlite,
 libqt5svg5-dev,
 libqt5websockets5-dev,
 libssh-dev,
 libsuitesparse-dev,
 libtbb-dev,
 libvtk9-dev,
 qtscript5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 vtk9
Description: C++ library for computational geometry (demos)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the demos and examples.

Package: libcgal-ipelets
Section: graphics
Architecture: any
Depends: ipe (>= ${Ipe-Version}), ipe (<< ${Ipe-Version}+),
 libcgal-dev (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computational geometry (ipelets)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the ipelets, i.e., plugins for ipe.

## cgal 5.5

=== demo/Bounding_volumes/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Bounding_volumes_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Script OpenGL Svg)
include_directories(BEFORE ./include)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)

  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  add_definitions(-DQT_NO_KEYWORDS)
  set(CMAKE_AUTOMOC ON)

  #----------------------------------------------
  # The "Bounding volumes" demo: Bounding_volumes
  #----------------------------------------------
  # UI files (Qt Designer files)
  qt5_wrap_ui(DT_UI_FILES Bounding_volumes.ui)

  # qrc files (resources files, that contain icons, at least)
  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES ./Bounding_volumes.qrc)

  # use the Qt MOC preprocessor on classes that derives from QObject

  # The executable itself.
  add_executable(
    Bounding_volumes Bounding_volumes.cpp ${DT_UI_FILES}
                     ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Bounding_volumes)

  target_link_libraries(Bounding_volumes PRIVATE CGAL::CGAL CGAL::CGAL_Qt5
                                                 Qt5::Gui)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Bounding_volumes)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Bounding_volumes)

else()

  message(
    STATUS "NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== demo/GraphicsView/CMakeLists.txt ===
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(GraphicsView_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)

find_package(Qt5 QUIET COMPONENTS Script OpenGL Svg)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)

  add_definitions(-DQT_NO_KEYWORDS)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)

  add_executable(min min.cpp ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS min)

  target_link_libraries(min PRIVATE CGAL::CGAL CGAL::CGAL_Qt5 Qt5::Gui)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(min)
else()

  message(
    STATUS "NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== demo/Segment_Delaunay_graph_Linf_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Segment_Delaunay_graph_Linf_2_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5 Core)

set(QT_USE_QTXML TRUE)
set(QT_USE_QTMAIN TRUE)
set(QT_USE_QTSCRIPT TRUE)
set(QT_USE_QTOPENGL TRUE)

find_package(Qt5 QUIET COMPONENTS Script OpenGL Svg)
include_directories(BEFORE ./include)

if(CGAL_Qt5_FOUND AND Qt5_FOUND)
  set(CMAKE_AUTOMOC ON)
  include(${CGAL_USE_FILE})
  add_definitions(-DQT_NO_KEYWORDS)

  #--------------------------------
  # The "Segment Voronoi Linf" demo: Segment_voronoi_linf_2
  #--------------------------------
  # UI files (Qt Designer files)
  qt5_wrap_ui(CDT_UI_FILES Segment_voronoi_2.ui)

  # qrc files (resources files, that contain icons, at least)
  qt5_add_resources(CGAL_Qt5_RESOURCE_FILES ./Segment_voronoi_2.qrc)

  # The executable itself.
  add_executable(
    Segment_voronoi_linf_2 Segment_voronoi_linf_2.cpp ${CDT_UI_FILES}
                           ${CGAL_Qt5_RESOURCE_FILES} ${CGAL_Qt5_MOC_FILES})

  add_to_cached_list(CGAL_EXECUTABLE_TARGETS Segment_voronoi_linf_2)

  target_link_libraries(Segment_voronoi_linf_2 PRIVATE CGAL::CGAL
                                                       CGAL::CGAL_Qt5 Qt5::Gui)

  include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
  cgal_add_compilation_test(Segment_voronoi_linf_2)
else()

  message(
    STATUS "NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")

endif()

=== demo/Triangulation_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Triangulation_2_Demo)

if(NOT POLICY CMP0070 AND POLICY CMP0053)
  # Only set CMP0053 to OLD with CMake<3.10, otherwise there is a warning.
  cmake_policy(SET CMP0053 OLD)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

set(CMAKE_AUTOMOC TRUE)
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Qt5)
find_package(Qt5 QUIET COMPONENTS Widgets)

if(NOT CGAL_Qt5_FOUND
   OR NOT Qt5_FOUND)
  message(
    STATUS "NOTICE: This demo requires CGAL and Qt5, and will not be compiled.")
  return()
endif()

add_definitions(-DQT_NO_KEYWORDS)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#--------------------------------
# The "constrained Delaunay" demo: Constrained_Delaunay_triangulation_2
#--------------------------------

qt5_add_resources(CD_RES_FILE Constrained_Delaunay_triangulation_2.qrc)
qt5_wrap_ui(CD_UI_FILES Constrained_Delaunay_triangulation_2.ui)
# The executable itself.
add_executable(
  Constrained_Delaunay_triangulation_2
  Constrained_Delaunay_triangulation_2.cpp ${CD_UI_FILES}
  ${CGAL_Qt5_RESOURCE_FILES} ${CD_RES_FILE})
target_link_libraries(Constrained_Delaunay_triangulation_2
                      PRIVATE CGAL::CGAL CGAL::CGAL_Qt5 Qt5::Widgets)
target_include_directories(Constrained_Delaunay_triangulation_2
                           PRIVATE ./include)

add_to_cached_list(CGAL_EXECUTABLE_TARGETS Constrained_Delaunay_triangulation_2)

#--------------------------------
# The "Delaunay" demo: Delaunay_triangulation_2
#--------------------------------
qt5_wrap_ui(D_UI_FILES Delaunay_triangulation_2.ui)
qt5_add_resources(D_RES_FILE Delaunay_triangulation_2.qrc)
# The executable itself.
add_executable(
  Delaunay_triangulation_2 Delaunay_triangulation_2.cpp ${D_UI_FILES}
                           ${CGAL_Qt5_RESOURCE_FILES} ${D_RES_FILE})
target_link_libraries(Delaunay_triangulation_2
                      PRIVATE CGAL::CGAL CGAL::CGAL_Qt5 Qt5::Widgets)

add_to_cached_list(CGAL_EXECUTABLE_TARGETS Delaunay_triangulation_2)

#--------------------------------
# The "Regular" demo: Regular_triangulation_2
#--------------------------------

# The executable itself.
qt5_add_resources(R_RES_FILE Regular_triangulation_2.qrc)
qt5_wrap_ui(R_UI_FILES Regular_triangulation_2.ui)
add_executable(
  Regular_triangulation_2 Regular_triangulation_2.cpp ${R_UI_FILES}
                          ${CGAL_Qt5_RESOURCE_FILES} ${R_RES_FILE})
target_link_libraries(Regular_triangulation_2 PRIVATE CGAL::CGAL CGAL::CGAL_Qt5
                                                      Qt5::Widgets)

add_to_cached_list(CGAL_EXECUTABLE_TARGETS Regular_triangulation_2)

include(${CGAL_MODULES_DIR}/CGAL_add_test.cmake)
foreach(target Constrained_Delaunay_triangulation_2 Delaunay_triangulation_2
               Regular_triangulation_2)
  cgal_add_compilation_test(${target})
endforeach()

=== examples/BGL_graphcut/CMakeLists.txt ===
# Created by the script cgal_create_CMakeLists
# This is the CMake script for compiling a set of CGAL applications.

cmake_minimum_required(VERSION 3.1...3.23)

project(BGL_graphcut_Examples)

# CGAL and its components
find_package(CGAL REQUIRED)

# Boost and its components
find_package(Boost REQUIRED)

if(NOT Boost_FOUND)

  message(
    STATUS "This project requires the Boost library, and will not be compiled.")

  return()

endif()

# include for local directory

# include for local package

# Creating entries for all C++ files with "main" routine
# ##########################################################

create_single_source_cgal_program("alpha_expansion_example.cpp")
create_single_source_cgal_program(
  "face_selection_borders_regularization_example.cpp")

=== examples/Hyperbolic_triangulation_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Hyperbolic_triangulation_2_Examples)

find_package(CGAL REQUIRED COMPONENTS Core)

create_single_source_cgal_program("ht2_example.cpp")
create_single_source_cgal_program("ht2_example_color.cpp")

=== examples/Min_sphere_d/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(Min_sphere_d_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== examples/Minkowski_sum_3/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Minkowski_sum_3_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== examples/Polygon_mesh_processing/CMakeLists.txt ===
# Created by the script cgal_create_CMakeLists
# This is the CMake script for compiling a set of CGAL applications.

cmake_minimum_required(VERSION 3.1...3.23)
project(Polygon_mesh_processing_Examples)

# CGAL and its components
find_package(CGAL REQUIRED)

# Boost and its components
find_package(Boost REQUIRED)

if(NOT Boost_FOUND)

  message(
    STATUS "This project requires the Boost library, and will not be compiled.")

  return()

endif()

find_package(OpenMesh QUIET)

if(OpenMesh_FOUND)
  include(UseOpenMesh)
else()
  message(STATUS "Examples that use OpenMesh will not be compiled.")
endif()

# include for local directory

# include for local package
find_package(Eigen3 3.2.0) #(requires 3.2.0 or greater)
include(CGAL_Eigen3_support)

# Creating entries for all .cpp/.C files with "main" routine
# ##########################################################

create_single_source_cgal_program("hausdorff_distance_remeshing_example.cpp")
create_single_source_cgal_program( "hausdorff_bounded_error_distance_example.cpp")

if(TARGET CGAL::Eigen3_support)
  create_single_source_cgal_program("hole_filling_example.cpp")
  target_link_libraries(hole_filling_example PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("hole_filling_example_SM.cpp")
  target_link_libraries(hole_filling_example_SM PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("hole_filling_visitor_example.cpp")
  target_link_libraries(hole_filling_visitor_example PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("refine_fair_example.cpp")
  target_link_libraries(refine_fair_example PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("shape_smoothing_example.cpp")
  target_link_libraries(shape_smoothing_example PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("hole_filling_example_LCC.cpp")
  target_link_libraries(hole_filling_example_LCC PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("mesh_smoothing_example.cpp")
  target_link_libraries(mesh_smoothing_example PUBLIC CGAL::Eigen3_support)
endif()

create_single_source_cgal_program( "extrude.cpp" )
create_single_source_cgal_program( "polyhedral_envelope.cpp" )
create_single_source_cgal_program( "polyhedral_envelope_of_triangle_soup.cpp" )
create_single_source_cgal_program( "polyhedral_envelope_mesh_containment.cpp" )
create_single_source_cgal_program( "self_intersections_example.cpp" )
create_single_source_cgal_program( "stitch_borders_example.cpp" )
create_single_source_cgal_program( "compute_normals_example_Polyhedron.cpp"  CXX_FEATURES cxx_range_for )
create_single_source_cgal_program( "compute_normals_example.cpp" CXX_FEATURES cxx_range_for cxx_auto_type )
create_single_source_cgal_program( "point_inside_example.cpp")
create_single_source_cgal_program( "triangulate_faces_example.cpp")
create_single_source_cgal_program( "triangulate_faces_split_visitor_example.cpp")
create_single_source_cgal_program( "connected_components_example.cpp")
create_single_source_cgal_program( "face_filtered_graph_example.cpp")
create_single_source_cgal_program( "orient_polygon_soup_example.cpp")
create_single_source_cgal_program( "triangulate_polyline_example.cpp")
create_single_source_cgal_program( "mesh_slicer_example.cpp")
#create_single_source_cgal_program( "remove_degeneracies_example.cpp")
create_single_source_cgal_program("isotropic_remeshing_example.cpp")
create_single_source_cgal_program("isotropic_remeshing_of_patch_example.cpp")
create_single_source_cgal_program("tangential_relaxation_example.cpp")
create_single_source_cgal_program("surface_mesh_intersection.cpp")
create_single_source_cgal_program("corefinement_SM.cpp")
create_single_source_cgal_program("corefinement_consecutive_bool_op.cpp")
create_single_source_cgal_program("corefinement_difference_remeshed.cpp")
create_single_source_cgal_program("corefinement_mesh_union.cpp")
create_single_source_cgal_program("corefinement_mesh_union_progress.cpp")
create_single_source_cgal_program(
  "corefinement_mesh_union_and_intersection.cpp")
create_single_source_cgal_program("corefinement_mesh_union_with_attributes.cpp")
create_single_source_cgal_program("corefinement_polyhedron_union.cpp")
create_single_source_cgal_program("random_perturbation_SM_example.cpp")
create_single_source_cgal_program("corefinement_LCC.cpp")
create_single_source_cgal_program("detect_features_example.cpp")
create_single_source_cgal_program("volume_connected_components.cpp")
create_single_source_cgal_program("manifoldness_repair_example.cpp")
create_single_source_cgal_program("repair_polygon_soup_example.cpp")
create_single_source_cgal_program("locate_example.cpp")
create_single_source_cgal_program("orientation_pipeline_example.cpp")
#create_single_source_cgal_program( "self_snapping_example.cpp")
#create_single_source_cgal_program( "snapping_example.cpp")
create_single_source_cgal_program("match_faces.cpp")
create_single_source_cgal_program("cc_compatible_orientations.cpp")

if(OpenMesh_FOUND)

  create_single_source_cgal_program("compute_normals_example_OM.cpp")
  target_link_libraries(compute_normals_example_OM
                        PRIVATE ${OPENMESH_LIBRARIES})

  create_single_source_cgal_program("corefinement_OM_union.cpp")
  target_link_libraries(corefinement_OM_union
                        PRIVATE ${OPENMESH_LIBRARIES})

  if(TARGET CGAL::Eigen3_support)
    create_single_source_cgal_program("hole_filling_example_OM.cpp")
    target_link_libraries(hole_filling_example_OM PRIVATE CGAL::Eigen3_support
                                                          ${OPENMESH_LIBRARIES})
  endif()

  create_single_source_cgal_program("point_inside_example_OM.cpp")
  target_link_libraries(point_inside_example_OM PRIVATE ${OPENMESH_LIBRARIES})

  create_single_source_cgal_program("stitch_borders_example_OM.cpp")
  target_link_libraries(stitch_borders_example_OM PRIVATE ${OPENMESH_LIBRARIES})

  #create_single_source_cgal_program( "remove_degeneracies_example.cpp")
  #target_link_libraries( remove_degeneracies_example PRIVATE ${OPENMESH_LIBRARIES} )

  create_single_source_cgal_program("triangulate_faces_example_OM.cpp")
  target_link_libraries(triangulate_faces_example_OM
                        PRIVATE ${OPENMESH_LIBRARIES})
endif(OpenMesh_FOUND)

find_package(METIS)
include(CGAL_METIS_support)
if(TARGET CGAL::METIS_support)
  target_link_libraries(hausdorff_bounded_error_distance_example PUBLIC CGAL::METIS_support)
else()
  message(STATUS "Tests, which use the METIS library will not be compiled.")
endif()

find_package(TBB)
include(CGAL_TBB_support)
if(TARGET CGAL::TBB_support)
  target_link_libraries(self_intersections_example PUBLIC CGAL::TBB_support)
  target_link_libraries(hausdorff_distance_remeshing_example
                        PUBLIC CGAL::TBB_support)
  target_link_libraries(hausdorff_bounded_error_distance_example
                        PUBLIC CGAL::TBB_support)


  create_single_source_cgal_program("corefinement_parallel_union_meshes.cpp")
  target_link_libraries(corefinement_parallel_union_meshes PUBLIC CGAL::TBB_support)
else()
  message(
    STATUS "NOTICE: Intel TBB was not found. Sequential code will be used.")
endif()

find_package(Ceres QUIET)
include(CGAL_Ceres_support)
if(TARGET CGAL::Ceres_support)
  target_link_libraries(mesh_smoothing_example PUBLIC CGAL::Ceres_support)
endif(TARGET CGAL::Ceres_support)

=== examples/Solver_interface/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Solver_interface_Examples)

find_package(CGAL REQUIRED)

# Use Eigen
find_package(Eigen3 3.1.0) #(requires 3.1.0 or greater)
include(CGAL_Eigen3_support)

if(TARGET CGAL::Eigen3_support)
  create_single_source_cgal_program("singular_value_decomposition.cpp")
  target_link_libraries(singular_value_decomposition PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("sparse_solvers.cpp")
  target_link_libraries(sparse_solvers PUBLIC CGAL::Eigen3_support)
  create_single_source_cgal_program("diagonalize_matrix.cpp")
  target_link_libraries(diagonalize_matrix PUBLIC CGAL::Eigen3_support)
endif()

find_package(OSQP QUIET)
include(CGAL_OSQP_support)

if(TARGET CGAL::OSQP_support)

  create_single_source_cgal_program("osqp_quadratic_program.cpp")
  target_link_libraries(osqp_quadratic_program PUBLIC CGAL::OSQP_support)
  message("OSQP found and used")

else()

  message(STATUS "NOTICE: OSQP was not found. OSQP examples won't be available.")

endif()

find_package(SCIP QUIET)
include(CGAL_SCIP_support)

if(TARGET CGAL::SCIP_support)

  create_single_source_cgal_program("mixed_integer_program.cpp")
  target_link_libraries(mixed_integer_program PUBLIC CGAL::SCIP_support)
  message("SCIP found and used")

else()

  find_package(GLPK QUIET)
  include(CGAL_GLPK_support)

  if(TARGET CGAL::GLPK_support)

    create_single_source_cgal_program("mixed_integer_program.cpp")
    target_link_libraries(mixed_integer_program PUBLIC CGAL::GLPK_support)
    message("GLPK found and used")

  else()

    message(
      STATUS
        "NOTICE : This project requires either SCIP or GLPK, and will not be compiled. "
        "Please provide either 'SCIP_DIR' or 'GLPK_INCLUDE_DIR' and 'GLPK_LIBRARIES'"
    )

  endif()

endif()

=== examples/Subdivision_method_3/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Subdivision_method_3_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== examples/Surface_mesh_segmentation/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script_with_options
# This is the CMake script for compiling a set of CGAL applications.

cmake_minimum_required(VERSION 3.1...3.23)
project(Surface_mesh_segmentation_Examples)

# CGAL and its components
find_package(CGAL REQUIRED)

# Boost and its components
find_package(Boost)

if(NOT Boost_FOUND)

  message(
    STATUS "This project requires the Boost library, and will not be compiled.")

  return()

endif()

find_package(OpenMesh QUIET)

if(OpenMesh_FOUND)
  include(UseOpenMesh)
else()
  message(STATUS "Examples that use OpenMesh will not be compiled.")
endif()

# include for local package

# Creating entries for all .cpp/.C files with "main" routine
# ##########################################################

create_single_source_cgal_program("sdf_values_example.cpp")

create_single_source_cgal_program("segmentation_from_sdf_values_example.cpp")

create_single_source_cgal_program("segmentation_via_sdf_values_example.cpp")

create_single_source_cgal_program("segmentation_with_facet_ids_example.cpp")

create_single_source_cgal_program("segmentation_from_sdf_values_SM_example.cpp")
create_single_source_cgal_program(
  "segmentation_from_sdf_values_LCC_example.cpp")

create_single_source_cgal_program("extract_segmentation_into_mesh_example.cpp")

if(OpenMesh_FOUND)
  create_single_source_cgal_program(
    "segmentation_from_sdf_values_OpenMesh_example.cpp")
  target_link_libraries(segmentation_from_sdf_values_OpenMesh_example
                        PRIVATE ${OPENMESH_LIBRARIES})
endif()

=== debian/changelog ===
cgal (5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Fri, 05 Aug 2022 21:14:08 +0200
